# Gin Layout Builder

This module brings the Gin admin theme to the layout builder.


## Requirements

This module requires the following modules and themes:
- [Gin](https://www.drupal.org/project/gin)
- [Gin Toolbar](https://www.drupal.org/project/gin_toolbar)


## Installation

Install as you would normally install a contributed Drupal module. For further
information, see
[Installing Drupal Modules](https://www.drupal.org/docs/extending-drupal/installing-drupal-modules).


## Configuration

The configuration page (`/admin/config/gin_lb/settings`) provides some settings.


## Troubleshooting & FAQ


### Conflicts with your frontend theme

To avoid conflicts with your frontend theme, the module adds a CSS prefix `glb-`
to all layout builder styles.

If your theme uses theme suggestions there could be conflicts with the module
theme suggestions from "gin layout builder".

To avoid these conflicts add the following code to your
`hook_theme_suggestions_alter` inside your theme.

```php
/**
 * Implements hook_theme_suggestions_alter().
 */
function MYTHEME_theme_suggestions_alter(array &$suggestions, array $variables, $hook) {
  if (isset($variables['element']['#gin_lb_form'])) {
    return;
  }
}
```


## Maintainers

Current maintainers:
- Christian Wiedemann - [Christian.wiedemann](https://www.drupal.org/user/861002)
- Rafael Schally - [sch4lly](https://www.drupal.org/user/856550)
- Stangl David - [Duwid](https://www.drupal.org/user/2693877)
- Florent Torregrosa - [Grimreaper](https://www.drupal.org/user/2388214)

Supporting organizations:
- [keytec GmbH & Co. KG](https://www.drupal.org/keytec-gmbh-co-kg)
- [Smile](https://www.drupal.org/smile)
